# NotifyOnEmptySendQue

## Description

Sets the component to raise and event when a particular number of bytes have been sent.

## Remarks

Use this method to force SocketQ to notify the application when all data has been sent (as has been specified by the BytesToSend parameter). Once the specified number of bytes have been sent, the EmptySendQue event will fire. The string specified in EventID and the SocketHandle parameter to identify which socket has finished sending in the EmptySendQue event.

## Prototype

BOOL NotifyOnEmptySendQue(long SocketHandle, long EventID, long BytesToSend)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://trialkey.gitbook.io/docs/api-reference/methods/notifyonemptysendque.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
